VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo:
[legend]

## Public Member Functions

DescriptorUpdateTemplateCreateInfo (DescriptorUpdateTemplateCreateFlags flags_=DescriptorUpdateTemplateCreateFlags(), uint32_t descriptorUpdateEntryCount_=0, const DescriptorUpdateTemplateEntry *pDescriptorUpdateEntries_=nullptr, DescriptorUpdateTemplateType templateType_=DescriptorUpdateTemplateType::eDescriptorSet, DescriptorSetLayout descriptorSetLayout_=DescriptorSetLayout(), PipelineBindPoint pipelineBindPoint_=PipelineBindPoint::eGraphics, PipelineLayout pipelineLayout_=PipelineLayout(), uint32_t set_=0)

| DescriptorUpdateTemplateCreateInfo (VkDescriptorUpdateTemplateCreateInfo const &rhs)
DescriptorUpdateTemplateCreateInfo & | operator= (VkDescriptorUpdateTemplateCreateInfo const &rhs)
DescriptorUpdateTemplateCreateInfo & | setPNext (void *pNext_)
DescriptorUpdateTemplateCreateInfo & | setFlags (DescriptorUpdateTemplateCreateFlags flags_)
DescriptorUpdateTemplateCreateInfo & | setDescriptorUpdateEntryCount (uint32_t descriptorUpdateEntryCount_)
DescriptorUpdateTemplateCreateInfo & | setPDescriptorUpdateEntries (const DescriptorUpdateTemplateEntry *pDescriptorUpdateEntries_)
DescriptorUpdateTemplateCreateInfo & | setTemplateType (DescriptorUpdateTemplateType templateType_)
DescriptorUpdateTemplateCreateInfo & | setDescriptorSetLayout (DescriptorSetLayout descriptorSetLayout_)
DescriptorUpdateTemplateCreateInfo & | setPipelineBindPoint (PipelineBindPoint pipelineBindPoint_)
DescriptorUpdateTemplateCreateInfo & | setPipelineLayout (PipelineLayout pipelineLayout_)
DescriptorUpdateTemplateCreateInfo & | setSet (uint32_t set_)
| operator VkDescriptorUpdateTemplateCreateInfo const & () const
| operator VkDescriptorUpdateTemplateCreateInfo & ()
bool | operator== (DescriptorUpdateTemplateCreateInfo const &rhs) const
bool | operator!= (DescriptorUpdateTemplateCreateInfo const &rhs) const

## Data Fields

void * | pNext = nullptr
DescriptorUpdateTemplateCreateFlags | flags
uint32_t | descriptorUpdateEntryCount
const DescriptorUpdateTemplateEntry * | pDescriptorUpdateEntries
DescriptorUpdateTemplateType | templateType
DescriptorSetLayout | descriptorSetLayout
PipelineBindPoint | pipelineBindPoint
PipelineLayout | pipelineLayout
uint32_t | set

## Private Attributes

StructureType | sType = StructureType::eDescriptorUpdateTemplateCreateInfo

## Detailed Description

Definition at line 21398 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorUpdateTemplateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::DescriptorUpdateTemplateCreateInfo | ( | DescriptorUpdateTemplateCreateFlags | flags_ = `DescriptorUpdateTemplateCreateFlags()`,
|  | uint32_t | descriptorUpdateEntryCount_ = `0`,
|  | const DescriptorUpdateTemplateEntry * | pDescriptorUpdateEntries_ = `nullptr`,
|  | DescriptorUpdateTemplateType | templateType_ = `DescriptorUpdateTemplateType::eDescriptorSet`,
|  | DescriptorSetLayout | descriptorSetLayout_ = `DescriptorSetLayout()`,
|  | PipelineBindPoint | pipelineBindPoint_ = `PipelineBindPoint::eGraphics`,
|  | PipelineLayout | pipelineLayout_ = `PipelineLayout()`,
|  | uint32_t | set_ = `0`
| ) |  |

inline

Definition at line 21400 of file vulkan.hpp.

: flags( flags_ )
, descriptorUpdateEntryCount( descriptorUpdateEntryCount_ )
, pDescriptorUpdateEntries( pDescriptorUpdateEntries_ )
, templateType( templateType_ )
, descriptorSetLayout( descriptorSetLayout_ )
, pipelineBindPoint( pipelineBindPoint_ )
, pipelineLayout( pipelineLayout_ )
, set( set_ )
{
}

## DescriptorUpdateTemplateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::DescriptorUpdateTemplateCreateInfo | ( | VkDescriptorUpdateTemplateCreateInfo const & | rhs | ) |

inline

Definition at line 21419 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorUpdateTemplateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorUpdateTemplateCreateInfo &()

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::operator VkDescriptorUpdateTemplateCreateInfo & | ( |  | ) |

inline

Definition at line 21488 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorUpdateTemplateCreateInfo*>(this);
}

## operator VkDescriptorUpdateTemplateCreateInfo const &()

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::operator VkDescriptorUpdateTemplateCreateInfo const & | ( |  | ) | const

inline

Definition at line 21483 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorUpdateTemplateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::operator!= | ( | DescriptorUpdateTemplateCreateInfo const & | rhs | ) | const

inline

Definition at line 21507 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::operator= | ( | VkDescriptorUpdateTemplateCreateInfo const & | rhs | ) |

inline

Definition at line 21424 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorUpdateTemplateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::operator== | ( | DescriptorUpdateTemplateCreateInfo const & | rhs | ) | const

inline

Definition at line 21493 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( descriptorUpdateEntryCount == rhs.descriptorUpdateEntryCount )
&& ( pDescriptorUpdateEntries == rhs.pDescriptorUpdateEntries )
&& ( templateType == rhs.templateType )
&& ( descriptorSetLayout == rhs.descriptorSetLayout )
&& ( pipelineBindPoint == rhs.pipelineBindPoint )
&& ( pipelineLayout == rhs.pipelineLayout )
&& ( set == rhs.set );
}

References descriptorSetLayout, descriptorUpdateEntryCount, flags, pDescriptorUpdateEntries, pipelineBindPoint, pipelineLayout, pNext, set, sType, and templateType.

Referenced by operator!=().

## setDescriptorSetLayout()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setDescriptorSetLayout | ( | DescriptorSetLayout | descriptorSetLayout_ | ) |

inline

Definition at line 21459 of file vulkan.hpp.

{
descriptorSetLayout = descriptorSetLayout_;
return *this;
}

References descriptorSetLayout.

## setDescriptorUpdateEntryCount()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setDescriptorUpdateEntryCount | ( | uint32_t | descriptorUpdateEntryCount_ | ) |

inline

Definition at line 21441 of file vulkan.hpp.

{
descriptorUpdateEntryCount = descriptorUpdateEntryCount_;
return *this;
}

References descriptorUpdateEntryCount.

## setFlags()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setFlags | ( | DescriptorUpdateTemplateCreateFlags | flags_ | ) |

inline

Definition at line 21435 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPDescriptorUpdateEntries()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setPDescriptorUpdateEntries | ( | const DescriptorUpdateTemplateEntry * | pDescriptorUpdateEntries_ | ) |

inline

Definition at line 21447 of file vulkan.hpp.

{
pDescriptorUpdateEntries = pDescriptorUpdateEntries_;
return *this;
}

References pDescriptorUpdateEntries.

## setPipelineBindPoint()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setPipelineBindPoint | ( | PipelineBindPoint | pipelineBindPoint_ | ) |

inline

Definition at line 21465 of file vulkan.hpp.

{
pipelineBindPoint = pipelineBindPoint_;
return *this;
}

References pipelineBindPoint.

## setPipelineLayout()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setPipelineLayout | ( | PipelineLayout | pipelineLayout_ | ) |

inline

Definition at line 21471 of file vulkan.hpp.

{
pipelineLayout = pipelineLayout_;
return *this;
}

References pipelineLayout.

## setPNext()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 21429 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSet()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setSet | ( | uint32_t | set_ | ) |

inline

Definition at line 21477 of file vulkan.hpp.

{
set = set_;
return *this;
}

## setTemplateType()

DescriptorUpdateTemplateCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::setTemplateType | ( | DescriptorUpdateTemplateType | templateType_ | ) |

inline

Definition at line 21453 of file vulkan.hpp.

{
templateType = templateType_;
return *this;
}

References templateType.

## Field Documentation

## descriptorSetLayout

DescriptorSetLayout VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::descriptorSetLayout

Definition at line 21521 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorSetLayout().

## descriptorUpdateEntryCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::descriptorUpdateEntryCount

Definition at line 21518 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorUpdateEntryCount().

## flags

DescriptorUpdateTemplateCreateFlags VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::flags

Definition at line 21517 of file vulkan.hpp.

Referenced by operator==().

## pDescriptorUpdateEntries

const DescriptorUpdateTemplateEntry* VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pDescriptorUpdateEntries

Definition at line 21519 of file vulkan.hpp.

Referenced by operator==(), and setPDescriptorUpdateEntries().

## pipelineBindPoint

PipelineBindPoint VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pipelineBindPoint

Definition at line 21522 of file vulkan.hpp.

Referenced by operator==(), and setPipelineBindPoint().

## pipelineLayout

PipelineLayout VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pipelineLayout

Definition at line 21523 of file vulkan.hpp.

Referenced by operator==(), and setPipelineLayout().

## pNext

void* VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pNext = nullptr

Definition at line 21516 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## set

uint32_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::set

Definition at line 21524 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::sType = StructureType::eDescriptorUpdateTemplateCreateInfo

private

Definition at line 21513 of file vulkan.hpp.

Referenced by operator==().

## templateType

DescriptorUpdateTemplateType VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::templateType

Definition at line 21520 of file vulkan.hpp.

Referenced by operator==(), and setTemplateType().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

set
EGLSetBlobFuncANDROID set
Definition: eglext.h:470
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::set
uint32_t set
Definition: vulkan.hpp:21524
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkDescriptorUpdateTemplateCreateInfo
Definition: vulkan_core.h:4356
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:21513
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::descriptorUpdateEntryCount
uint32_t descriptorUpdateEntryCount
Definition: vulkan.hpp:21518
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pNext
void * pNext
Definition: vulkan.hpp:21516
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::DescriptorUpdateTemplateCreateInfo
DescriptorUpdateTemplateCreateInfo(DescriptorUpdateTemplateCreateFlags flags_=DescriptorUpdateTemplateCreateFlags(), uint32_t descriptorUpdateEntryCount_=0, const DescriptorUpdateTemplateEntry *pDescriptorUpdateEntries_=nullptr, DescriptorUpdateTemplateType templateType_=DescriptorUpdateTemplateType::eDescriptorSet, DescriptorSetLayout descriptorSetLayout_=DescriptorSetLayout(), PipelineBindPoint pipelineBindPoint_=PipelineBindPoint::eGraphics, PipelineLayout pipelineLayout_=PipelineLayout(), uint32_t set_=0)
Definition: vulkan.hpp:21400
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::templateType
DescriptorUpdateTemplateType templateType
Definition: vulkan.hpp:21520
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pDescriptorUpdateEntries
const DescriptorUpdateTemplateEntry * pDescriptorUpdateEntries
Definition: vulkan.hpp:21519
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::descriptorSetLayout
DescriptorSetLayout descriptorSetLayout
Definition: vulkan.hpp:21521
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::operator==
bool operator==(DescriptorUpdateTemplateCreateInfo const &rhs) const
Definition: vulkan.hpp:21493
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::flags
DescriptorUpdateTemplateCreateFlags flags
Definition: vulkan.hpp:21517
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pipelineBindPoint
PipelineBindPoint pipelineBindPoint
Definition: vulkan.hpp:21522
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateCreateInfo::pipelineLayout
PipelineLayout pipelineLayout
Definition: vulkan.hpp:21523